#
# spec file for package rubygem-listen
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-listen
Version:        3.1.5
Release:        bp153.1.16
%define mod_name listen
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/guard/listen
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Listen to file modifications
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
The Listen gem listens to file modifications and notifies you about the
changes. Works everywhere!.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Thu May 26 2016 coolo@suse.com
- updated to version 3.1.5
  see installed CHANGELOG.md
* Wed Feb 10 2016 coolo@suse.com
- updated to version 3.0.6
  see installed CHANGELOG.md
* Mon Nov 23 2015 coolo@suse.com
- updated to version 3.0.5
  see installed CHANGELOG.md
* Thu Nov  5 2015 coolo@suse.com
- updated to version 3.0.4
  see installed CHANGELOG.md
* Fri Jul 24 2015 coolo@suse.com
- updated to version 3.0.3
  see installed CHANGELOG.md
* Fri Jul 10 2015 coolo@suse.com
- updated to version 3.0.2
  see installed CHANGELOG.md
* Wed Jul  1 2015 coolo@suse.com
- updated to version 3.0.1
  see installed CHANGELOG.md
* Mon Jun 29 2015 coolo@suse.com
- updated to version 3.0.0
  see installed CHANGELOG.md
* Fri Jun 19 2015 coolo@suse.com
- updated to version 2.10.1
  see installed CHANGELOG.md
* Fri Mar 27 2015 coolo@suse.com
- updated to version 2.10.0
* Fri Mar 13 2015 coolo@suse.com
- updated to version 2.9.0
* Tue Mar 10 2015 coolo@suse.com
- updated to version 2.8.6
* Thu Jan 15 2015 fcastelli@suse.com
- Updated to latest version 2.8.5
* Thu Oct  9 2014 fcastelli@suse.com
- update to new packaging scheme and add gem2rpm.yml
* Sun May 18 2014 coolo@suse.com
- updated to version 2.7.5, no changelog
* Tue Mar 18 2014 coolo@suse.com
- updated to version 2.7.1, no changelog
* Mon Dec  9 2013 coolo@suse.com
- updated to version 2.4.0, no changelog
* Thu Oct 31 2013 coolo@suse.com
- updated to version 2.2.0, no changelog
* Sun Oct 13 2013 coolo@suse.com
- updated to version 2.1.0, no changelog
* Thu Oct 10 2013 coolo@suse.com
- updated to version 2.0.3, complete rewrite it looks
* Fri Sep 13 2013 coolo@suse.com
- updated to version 1.3.1
  Improvement
    Add backtracke when Listen block raise an exception
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.3.0
  - Defaults `Listener#relative_paths` to `false` when listening to a single directory (see [#131][]). ([@rehevkor5][])
  - Rescue changes callback and warms if something bad happens. (reported by [@21croissants][], added by [@thibaudgg][])
* Wed Jul 31 2013 coolo@suse.com
- updated to version 1.2.2
  [#]## Bug fix
  - Rescue all error on sha1_checksum generation. ([@thibaudgg][])
* Thu Jun 13 2013 coolo@suse.com
- updated to version 1.2.1
  - Ignore 'bundle' folder by default. ([@thibaudgg][])
  - [#124][] New `force_adapter` option, skip the `.listen_test` adapter test. ([@nicobrevin][])
* Wed Jun  5 2013 coolo@suse.com
- updated to version 1.1.6
  - [#120][] Warn when using relative_paths option when listening to multiple diretories. (reported by [@chriseppstein][], added by [@thibaudgg][])
* Tue Jun  4 2013 coolo@suse.com
- updated to version 1.1.5
  [#]## Bug fix
  - [#122][] Fix stop called very soon after starting. (reported by [@chriseppstein][], fixed by [@thibaudgg][])
  - [#118][] Prevent polling just because the adapter gem was already required. ([@nilbus][])
* Fri May 24 2013 coolo@suse.com
- updated to version 1.1.3
  [#]## Bug fix
  - [#117][] Fix jruby error on Pathname#relative_path_from. ([@luikore][])
  [#]# 1.1.2 - May 14, 2013
  [#]## Bug fix
  - [#115][] Fix for directory containing non-ascii chars. ([@luikore][])
  [#]# 1.1.1 - May 14, 2013
  [#]## Bug fix
  - [#113][] Kill poller_thread before waiting for it to die. ([@antifuchs][])
  [#]# 1.1.0 - May 11, 2013
  [#]## Bug fix
  - [#112][] Expand path for the given directories. (reported by [@nex3][], fixed by [@thibaudgg][])
  [#]## Change
  - [#110][] Remove MultiListener deprecation warning message. (reported by [@nex3][], fixed by [@thibaudgg][])
  [#]# 1.0.3 - April 29, 2013
  [#]## Bug fix
  - Rescue Errno::EBADF on sha1_checksum generation. ([@thibaudgg][])
  [#]# 1.0.2 - April 22, 2013
  [#]## Bug fix
  - [#104][] Avoid conflict with ActiveSupport::Dependencies::Loadable. ([@nysalor][])
  [#]# 1.0.1 - April 22, 2013
  [#]## Bug fix
  - [#103][] Support old version of rubygems. (reported by [@ahoward][], fixed by [@thibaudgg][])
  [#]# 1.0.0 - April 20, 2013
* Fri Dec 28 2012 coolo@suse.com
- initial package (version 0.6.0)
